Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_UDP_MCast_Transport Class Reference

A transport abstraction for Multicast dgram sockets. Uses the ACE_SOCK_Dgram_Mcast to send data. More...

`#include <MCast.h>`

Inheritance diagram for TAO_AV_UDP_MCast_Transport

[legend]
Collaboration diagram for TAO_AV_UDP_MCast_Transport:

[legend]
List of all members.

## Public Methods
| TAO_AV_UDP_MCast_Transport (void)
| TAO_AV_UDP_MCast_Transport (TAO_AV_UDP_MCast_Flow_Handler *handler)
virtual | ~TAO_AV_UDP_MCast_Transport (void)
virtual int | open (ACE_Addr *address)
virtual int | close (void)
virtual int | mtu (void)
| Write the complete Message_Block chain to the connection.
virtual ACE_Addr* | get_peer_addr (void)
| Write the complete Message_Block chain to the connection.
virtual ACE_Addr* | get_local_addr (void)
virtual ssize_t | send (const ACE_Message_Block *mblk, ACE_Time_Value *s = 0)
virtual ssize_t | send (const char *buf, size_t len, ACE_Time_Value *s = 0)
| Write the contents of the buffer of length len to the connection.
virtual ssize_t | send (const iovec *iov, int iovcnt, ACE_Time_Value *s = 0)
| Write the contents of iovcnt iovec's to the connection.
virtual ssize_t | recv (char *buf, size_t len, ACE_Time_Value *s = 0)
| Read len bytes from into buf.
virtual ssize_t | recv (char *buf, size_t len, int flags, ACE_Time_Value *s = 0)
| Read len bytes from into buf using flags.
virtual ssize_t | recv (iovec *iov, int iovcnt, ACE_Time_Value *s = 0)
| Read received data into the iovec buffers.
## Protected Attributes
TAO_AV_UDP_MCast_Flow_Handler* | handler_
ACE_INET_Addr | peer_addr_
ACE_INET_Addr | local_addr_

## Detailed Description

A transport abstraction for Multicast dgram sockets. Uses the ACE_SOCK_Dgram_Mcast to send data.

## Constructor & Destructor Documentation

TAO_AV_UDP_MCast_Transport::TAO_AV_UDP_MCast_Transport ( | void )

TAO_AV_UDP_MCast_Transport::TAO_AV_UDP_MCast_Transport ( | TAO_AV_UDP_MCast_Flow_Handler * handler )

TAO_AV_UDP_MCast_Transport::~TAO_AV_UDP_MCast_Transport ( | void )`[virtual]`

## Member Function Documentation

int TAO_AV_UDP_MCast_Transport::close ( | void )`[virtual]`

| Reimplemented from TAO_AV_Transport.

ACE_Addr * TAO_AV_UDP_MCast_Transport::get_local_addr ( | void )`[virtual]`

| Reimplemented from TAO_AV_Transport.

ACE_Addr * TAO_AV_UDP_MCast_Transport::get_peer_addr ( | void )`[virtual]`

| Write the complete Message_Block chain to the connection. Reimplemented from TAO_AV_Transport.

int TAO_AV_UDP_MCast_Transport::mtu ( | void )`[virtual]`

| Write the complete Message_Block chain to the connection. Reimplemented from TAO_AV_Transport.

int TAO_AV_UDP_MCast_Transport::open ( | ACE_Addr * address )`[virtual]`

| Reimplemented from TAO_AV_Transport.

ssize_t TAO_AV_UDP_MCast_Transport::recv ( | iovec * iov,
| int iovcnt,
| ACE_Time_Value * s = 0 )`[virtual]`

| Read received data into the iovec buffers. Reimplemented from TAO_AV_Transport.

ssize_t TAO_AV_UDP_MCast_Transport::recv ( | char * buf,
| size_t len,
| int flags,
| ACE_Time_Value * s = 0 )`[virtual]`

| Read len bytes from into buf using flags. Reimplemented from TAO_AV_Transport.

ssize_t TAO_AV_UDP_MCast_Transport::recv ( | char * buf,
| size_t len,
| ACE_Time_Value * s = 0 )`[virtual]`

| Read len bytes from into buf. Reimplemented from TAO_AV_Transport.

ssize_t TAO_AV_UDP_MCast_Transport::send ( | const iovec * iov,
| int iovcnt,
| ACE_Time_Value * s = 0 )`[virtual]`

| Write the contents of iovcnt iovec's to the connection. Reimplemented from TAO_AV_Transport.

ssize_t TAO_AV_UDP_MCast_Transport::send ( | const char * buf,
| size_t len,
| ACE_Time_Value * s = 0 )`[virtual]`

| Write the contents of the buffer of length len to the connection. Reimplemented from TAO_AV_Transport.

ssize_t TAO_AV_UDP_MCast_Transport::send ( | const ACE_Message_Block * mblk,
| ACE_Time_Value * s = 0 )`[virtual]`

| Reimplemented from TAO_AV_Transport.

## Member Data Documentation

TAO_AV_UDP_MCast_Flow_Handler * TAO_AV_UDP_MCast_Transport::handler_`[protected]`

ACE_INET_Addr TAO_AV_UDP_MCast_Transport::local_addr_`[protected]`

ACE_INET_Addr TAO_AV_UDP_MCast_Transport::peer_addr_`[protected]`

The documentation for this class was generated from the following files:

- MCast.h
- MCast.cpp